Mise à jour de l'expansion PHP7 MYSQL PHP

J'ai besoin de mettre à niveau la version PHP Pour mon serveur avant 7.

Y a-t-il un moyen de mettre à jour OpenSuse 13.2 à la version PHP7 à travers la console?

Puis-je installer l'extension php, Qui me permettra d'utiliser les suivants à nouveau?

mysql_connect
mysql_query
mysql_select_db

PS: Peut-être que vous pourriez m'aider et sur une autre question?
https://stackoverflow.com/q/34200270/1694342?sem=2
C'est la raison pour laquelle j'ai besoin de mettre à jour PHP avant que 7.
Invité:

Dominique

Confirmation de:

Les fonctions que vous demandez sont obsolètes pendant de nombreuses années et n'existent plus dans PHP 7. Voir la documentation PHP Pour plus d'informations sur
http://php.net/manual/en/mysql ... g.php
Pour votre application. (Notez que Magento Les usages PDO, Par conséquent, vous ne devriez pas avoir de problèmes avec cet aspect.)

Giselle

Confirmation de:

J'ai répondu à votre autre question dans un autre flux et vous ne pourrez maintenant pas utiliser Magento de PHP 7. Cependant, je suppose que vous demandez une autre application PHP, dans la mesure où Magento Sûrement n'utilisera pas ces fonctions.

Réponse courte - non parce que

mysql_*()

Les fonctions sont obsolètes et dangereuses. Tout le monde doit utiliser
https://secure.php.net/manual/en/book.mysqli.php
(Version améliorée) Maintenant, comme cela corrige ces problèmes.
https://secure.php.net/manual/ ... s.php
Vous devriez également utiliser. Si vous rencontrez le problème de la conversion d'un certain

mysql_*()

Fonction d'appel MySQLi, Il suffit de poser une question dans StackOverflow. Il doit y avoir beaucoup d'informations sur des problèmes spécifiques. MySQLi sur SO.

Mais, comme je l'ai écrit pour une autre menace, il semble que PHP 7 Vous n'avez toujours pas besoin, mais vous devriez toujours arrêter d'utiliser

mysql_*()

.

Pour répondre aux questions, connectez-vous ou registre